For the complete documentation index, see llms.txt. This page is also available as Markdown.

Equipment Order

Submit equipment order

post

Create a new equipment order for the specified merchant.

Body
merchantNumberstringOptional

The unique identifier of the merchant.

Example: text
orderIdstringOptional

The unique identifier of the order.

Example: text
statusstring · enumOptional

Current status of the order.

Possible values: Active Submitted Signed Approved AddedSalesforce BoardedTSYS BoardedQuest Shipped BackOrdered Deleted Completed OffRamp WaitingForTracking BoardedDevice

Possible values:
orderCreateTimestring · date-timeOptional

Timestamp details when the order was created. Includes calendar, time zone, and week data.

orderModifyTimestring · date-timeOptional

Details of when the order was last modified, including time zone, week data, and timestamp.

resubmitbooleanOptional

Indicates if the order is a resubmission.

Example: false
validFrontendsstring[]Optional

List of supported frontends for the order.

Responses
201

Success

merchantNumberstringOptional

The unique identifier of the merchant.

Example: text
orderIdstringOptional

The unique identifier of the order.

Example: text
statusstring · enumOptional

Current status of the order.

Possible values: Active Submitted Signed Approved AddedSalesforce BoardedTSYS BoardedQuest Shipped BackOrdered Deleted Completed OffRamp WaitingForTracking BoardedDevice

Possible values:
orderCreateTimestring · date-timeOptional

Timestamp details when the order was created. Includes calendar, time zone, and week data.

orderModifyTimestring · date-timeOptional

Details of when the order was last modified, including time zone, week data, and timestamp.

resubmitbooleanOptional

Indicates if the order is a resubmission.

Example: false
validFrontendsstring[]Optional

List of supported frontends for the order.

post/api/equipment/orders

Get existing order

get

Retrieves the existing equipment order associated with the specified merchant.

Path parameters
merchantstringRequired

The merchant's unique identification number

Query parameters
orderTypestringOptional

Filter the results based on the type of equipment order.

merchAppFilterbooleanOptional

Filter the results to return orders associated with a specific merchant application.

Default: false
Responses
200

Success

get/api/equipment/orders/{merchant}

Get existing order by merchant and status

get

Retrieve the existing equipment orders for a specified merchant filtered by order status.

Path parameters
merchantstringRequired

The merchant's unique identification number

statusstringRequired

The orders status used to filter the results.

Query parameters
orderTypestringOptional

Filter the results based on the type of equipment order.

merchAppFilterbooleanOptional

Filter the results to return orders associated with a specific merchant application.

Default: false
Responses
200

Success

get/api/equipment/orders/{merchant}/{status}

Get existing order by order ID

get

Retrieve the details of a specific equipment order of specified merchant using the unique order ID.

Path parameters
merchantstringRequired

The merchant's unique identification number

orderNumberstringRequired

The unique order ID assigned to the merchant’s equipment order.

Query parameters
merchAppFilterbooleanOptional

Filter the results to return orders associated with a specific merchant application.

Default: false
Responses
200

Success

merchantNumberstringOptional

The unique identifier of the merchant.

Example: text
orderIdstringOptional

The unique identifier of the order.

Example: text
statusstring · enumOptional

Current status of the order.

Possible values: Active Submitted Signed Approved AddedSalesforce BoardedTSYS BoardedQuest Shipped BackOrdered Deleted Completed OffRamp WaitingForTracking BoardedDevice

Possible values:
orderCreateTimestring · date-timeOptional

Timestamp details when the order was created. Includes calendar, time zone, and week data.

orderModifyTimestring · date-timeOptional

Details of when the order was last modified, including time zone, week data, and timestamp.

resubmitbooleanOptional

Indicates if the order is a resubmission.

Example: false
validFrontendsstring[]Optional

List of supported frontends for the order.

get/api/equipment/orders/{merchant}/order/{orderNumber}

Delete existing order

delete

Deletes the specified equipment order forthe given merchant using the unique order ID.

Path parameters
merchantstringRequired

The merchant's unique identification number

orderNumberstringRequired

The unique identifier assigned to each equipment order.

Responses
200

Success

No content

delete/api/equipment/orders/{merchant}/order/{orderNumber}

No content

Last updated

Was this helpful?